//
//  AWFConvectiveLoader.h
//  Aeris
//
//  Created by Nicholas Shipes on 11/5/15.
//  Copyright © 2015 Aeris Weather, LLC. All rights reserved.
//

#import <Foundation/Foundation.h>
#import <AerisWeatherKit/AWFWeatherEndpoint.h>
#import <AerisWeatherKit/AWFConvectiveOutlook.h>

NS_ASSUME_NONNULL_BEGIN

typedef NSString * AWFConvectiveOutlookFilter NS_TYPED_EXTENSIBLE_ENUM;

FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterCategorical;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterProbability;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterAllHazards;

FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterAll;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterTornado;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterSignificantTornado;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterAllTornado;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterHail;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterSignificantHail;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterAllHail;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterWind;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterSignificantWind;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterAllWind;

FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterGeneral;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterMarginal;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterSlight;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterEnhanced;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterModerate;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterHigh;

FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterDay1;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterDay2;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterDay3;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterDay4;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterDay5;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterDay6;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterDay7;
FOUNDATION_EXPORT AWFConvectiveOutlookFilter const AWFConvectiveOutlookFilterDay8;

typedef NSString * AWFConvectiveOutlookField NS_TYPED_EXTENSIBLE_ENUM;

FOUNDATION_EXPORT AWFConvectiveOutlookField const AWFConvectiveOutlookFieldId;
FOUNDATION_EXPORT AWFConvectiveOutlookField const AWFConvectiveOutlookFieldCategory;
FOUNDATION_EXPORT AWFConvectiveOutlookField const AWFConvectiveOutlookFieldRiskType;
FOUNDATION_EXPORT AWFConvectiveOutlookField const AWFConvectiveOutlookFieldRiskName;
FOUNDATION_EXPORT AWFConvectiveOutlookField const AWFConvectiveOutlookFieldRiskCode;
FOUNDATION_EXPORT AWFConvectiveOutlookField const AWFConvectiveOutlookFieldDay;
FOUNDATION_EXPORT AWFConvectiveOutlookField const AWFConvectiveOutlookFieldStartDate;
FOUNDATION_EXPORT AWFConvectiveOutlookField const AWFConvectiveOutlookFieldEndDate;
FOUNDATION_EXPORT AWFConvectiveOutlookField const AWFConvectiveOutlookFieldIssuedDate;

/**
 `AWFConvectiveOutlooks` provides conveninece methods for interacting with the 
 [`convective` endpoint](http://www.aerisweather.com/support/docs/api/reference/endpoints/convective/outlook) of the Aeris API. All requests will return 
 instances of `AWFConvectiveOutlook` that will be populated with the data returned from the API unless otherwise indicated.
 */
@interface AWFConvectiveOutlooks : AWFWeatherEndpoint

@end

NS_ASSUME_NONNULL_END
