//
//  Aeris.h
//  Aeris
//
//  Created by Nicholas Shipes on 9/5/13.
//  Copyright (c) 2013 AerisWeather, LLC. All rights reserved.
//


#import <AerisWeatherKit/AerisWeather.h>
#import <AerisWeatherKit/AWFAerisAccount.h>

#import <AerisWeatherKit/AWFWeatherApiClient.h>
#import <AerisWeatherKit/AWFGeoPolygon.h>
#import <AerisWeatherKit/AWFCoordinateBounds.h>

#import <AerisWeatherKit/AWFWeatherGlobals.h>
#import <AerisWeatherKit/AWFWeatherObject.h>
#import <AerisWeatherKit/AWFGeographicObject.h>
#import <AerisWeatherKit/AWFWeatherRequestOptions.h>
#import <AerisWeatherKit/AWFRequestQuery.h>
#import <AerisWeatherKit/AWFWeatherDataType.h>
#import <AerisWeatherKit/AWFMeasurement.h>
#import <AerisWeatherKit/AWFForecastModel.h>

#import <AerisWeatherKit/AWFActivities.h>
#import <AerisWeatherKit/AWFAdvisories.h>
#import <AerisWeatherKit/AWFAirports.h>
#import <AerisWeatherKit/AWFAirQuality.h>
#import <AerisWeatherKit/AWFBatchRequest.h>
#import <AerisWeatherKit/AWFConditions.h>
#import <AerisWeatherKit/AWFConvectiveOutlooks.h>
#import <AerisWeatherKit/AWFCountries.h>
#import <AerisWeatherKit/AWFDroughtIndices.h>
#import <AerisWeatherKit/AWFEarthquakes.h>
#import <AerisWeatherKit/AWFFires.h>
#import <AerisWeatherKit/AWFFireOutlooks.h>
#import <AerisWeatherKit/AWFForecasts.h>
#import <AerisWeatherKit/AWFIndices.h>
#import <AerisWeatherKit/AWFLightningFlashes.h>
#import <AerisWeatherKit/AWFLightningStrikes.h>
#import <AerisWeatherKit/AWFLightningSummaries.h>
#import <AerisWeatherKit/AWFLightningThreats.h>
#import <AerisWeatherKit/AWFMaritime.h>
#import <AerisWeatherKit/AWFMoonPhases.h>
#import <AerisWeatherKit/AWFNormals.h>
#import <AerisWeatherKit/AWFObservations.h>
#import <AerisWeatherKit/AWFPhrases.h>
#import <AerisWeatherKit/AWFPlaces.h>
#import <AerisWeatherKit/AWFPostalCodes.h>
#import <AerisWeatherKit/AWFPrecipitation.h>
#import <AerisWeatherKit/AWFRecords.h>
#import <AerisWeatherKit/AWFRivers.h>
#import <AerisWeatherKit/AWFStormCells.h>
#import <AerisWeatherKit/AWFStormReports.h>
#import <AerisWeatherKit/AWFSunMoon.h>
#import <AerisWeatherKit/AWFThreats.h>
#import <AerisWeatherKit/AWFTides.h>
#import <AerisWeatherKit/AWFTropicalCyclones.h>
#import <AerisWeatherKit/AWFVenues.h>
#import <AerisWeatherKit/AWFWinter.h>

#import <AerisWeatherKit/AWFActivity.h>
#import <AerisWeatherKit/AWFAdvisory.h>
#import <AerisWeatherKit/AWFAdvisorySummary.h>
#import <AerisWeatherKit/AWFAirport.h>
#import <AerisWeatherKit/AWFAirQualityReport.h>
#import <AerisWeatherKit/AWFCondition.h>
#import <AerisWeatherKit/AWFConditionSummary.h>
#import <AerisWeatherKit/AWFConvectiveOutlook.h>
#import <AerisWeatherKit/AWFCountry.h>
#import <AerisWeatherKit/AWFDroughtIndex.h>
#import <AerisWeatherKit/AWFEarthquake.h>
#import <AerisWeatherKit/AWFFire.h>
#import <AerisWeatherKit/AWFFireOutlook.h>
#import <AerisWeatherKit/AWFFirePerimeter.h>
#import <AerisWeatherKit/AWFForecast.h>
#import <AerisWeatherKit/AWFIndexPeriod.h>
#import <AerisWeatherKit/AWFIndex.h>
#import <AerisWeatherKit/AWFLightningFlash.h>
#import <AerisWeatherKit/AWFLightningStrike.h>
#import <AerisWeatherKit/AWFLightningSummary.h>
#import <AerisWeatherKit/AWFLightningThreat.h>
#import <AerisWeatherKit/AWFMaritimeReport.h>
#import <AerisWeatherKit/AWFMoonPhase.h>
#import <AerisWeatherKit/AWFNormal.h>
#import <AerisWeatherKit/AWFNormalStation.h>
#import <AerisWeatherKit/AWFObservation.h>
#import <AerisWeatherKit/AWFObservationSummary.h>
#import <AerisWeatherKit/AWFPhrase.h>
#import <AerisWeatherKit/AWFPlace.h>
#import <AerisWeatherKit/AWFPostalCode.h>
#import <AerisWeatherKit/AWFPrecipitationEstimate.h>
#import <AerisWeatherKit/AWFPrecipitationPeriod.h>
#import <AerisWeatherKit/AWFRecord.h>
#import <AerisWeatherKit/AWFRelativeTo.h>
#import <AerisWeatherKit/AWFRiver.h>
#import <AerisWeatherKit/AWFRiverGauge.h>
#import <AerisWeatherKit/AWFSnowDepth.h>
#import <AerisWeatherKit/AWFStormCell.h>
#import <AerisWeatherKit/AWFStormCellSummary.h>
#import <AerisWeatherKit/AWFStormReport.h>
#import <AerisWeatherKit/AWFStormReportSummary.h>
#import <AerisWeatherKit/AWFStormThreat.h>
#import <AerisWeatherKit/AWFSunMoonPeriod.h>
#import <AerisWeatherKit/AWFThreat.h>
#import <AerisWeatherKit/AWFTide.h>
#import <AerisWeatherKit/AWFTideStation.h>
#import <AerisWeatherKit/AWFTropicalCyclone.h>
#import <AerisWeatherKit/AWFVenue.h>

#import <AerisWeatherKit/AWFRangeSummary.h>
#import <AerisWeatherKit/AWFPrecipRangeSummary.h>
#import <AerisWeatherKit/AWFWindRangeSummary.h>

#import <AerisWeatherKit/AWFWeatherGraphSeries.h>
#import <AerisWeatherKit/AWFWeatherSeriesItem.h>

#import <AerisWeatherKit/NSBundle+AerisWeatherKit.h>
