#AerisWeather SDK for iOS

## 3.2.9 - Oct 28, 2020

#### AerisMapKit
- Fixed an issue where some future/outlook layers were not being added to the map due to forecast model checks and requirements.
- Fixed an issue where map timeline start/end offsets weren't updated when the timeline's start/end dates were updated.
- Improved AMP layer handling by auto-updating layers when their properties change (e.g. alpha, blendMode, etc)
- Improved AMP layer validation checks to handle all modifier combinations.

## 3.2.8 - Sep 9, 2020

#### AerisWeatherKit
- Added support for the new conditions/summary endpoint via AWFConditionsSummaries and AWFConditionSummary classes.
- Added missing zone-related properties for AWFPlace.
- Added missing `stationPressure` and `trustFactor` properties to AWFObservationSummary.
- Fixed property mappings for `spressure` and `altimeter` on AWFObservation.
- Updated time range, precip and wind-related properties to their respective AWFRangeSummary instances on AWFObservationSummary.

#### AerisMapKit
- Fixed crash on iOS < 13.0 due to incorrect NSURLCache initializer being referenced. 

## 3.2.7 - Aug 28, 2020

#### AerisWeatherKit
- Added support for the `lang` API parameter to AWFWeatherRequestOptions.
- Added missing properties to AWFAdvisory: updated, color, category and isEmergency.
- Updated `uvIndex` on AWFForecastPeriod to a float value instead of integer.

#### AerisMapKit
- Fixed several issues with AMP tile merging and caching that was resulting in blank or incomplete tiles being rendered.
- Set the designated initializer for AWFLegendView to `initWithMapStyle:frame:` so that weather map style information is always provided to the legend.

## 3.2.6 - Jul 23, 2020

#### AerisWeatherKit
- Fixed API property mappings for missing min/max/avg properties on AWFForecastPeriod.

## 3.2.5 - Jul 17, 2020
- Minor bug fixes and stability improvements.

#### AerisWeatherKit
- Fixed forecast min/max/avg temperature property mappings in AWFForecastPeriod which resulted in `NAN` values since 3.2.4.

#### AerisMapKit
- Improved tile and animation loading speed and performance.
- Fixed a crash that would happen when trying to animate with non-animatable layers on the map.
- Added map view delegate proxy support, which removes the need to set `mapViewDelegate` on AWFWeatherMap instances. You can instead set the `delegate` property on the native map view and delegate events will be proxied accordingly.

#### AerisMapboxMapKit
- Fixed an issue where future layers would be rendered to the map for past/current time periods and `shouldAlwaysShowFutureLayers` is `false`.

## 3.2.4 - Jun 3, 2020

#### AerisWeatherKit
- Added support for the API /conditions endpoint. See AWFConditions: https://www.aerisweather.com/docs/ios/AerisWeatherKit/Endpoints.html#/c:objc(cs)AWFConditions
- Added missing min/max/avg properties on AWFForecastPeriod.
- Added iceAccumulation, wind80m, visibility and solarRadiation properties on AWFForecastPeriod.

#### AerisMapKit
- Added support for getting the default annotation view and/or overlay renderer from an AWFWeatherMap's strategy to use when implementing related map view delegates. See https://www.aerisweather.com/support/docs/toolkits/aeris-ios-sdk/examples/adding-custom-annotations/ and https://www.aerisweather.com/support/docs/toolkits/aeris-ios-sdk/examples/adding-custom-overlays/.

## 3.2.3 - Mar 10, 2020

#### AerisMapKit
- Updated supported AMP layer constants.
- Added improved support for adding AMP layers to a weather map using the AMP code string as an alternative to the built-in AWFMapLayer constants.
- Removed extraneous console log output.

## 3.2.2 - Feb 10, 2020

#### AerisMapKit
- Improved AMP tile requests and caching, which should reduce the total map units consumed when adding and removing layers at runtime.
- Fixed issues where animation data request processes weren't being cancelled properly when stopping a loading animation.

#### CoreUI
- Added public read-only access to underlying `AWFGraphView` elements for customization: `calloutPositionLine`, `seriesContainerView`, and `loadingView`.

## 3.2.1 - Dec 5, 2019
- Includes minor bug fixes and stability improvements.

#### AerisMapKit
- Added improved support for customizing the layer options displayed in `AWFMapOptionsViewController`.
- Added weather map configuration option to hide image loading progress while loading raster imagery for a tile/image animation.
- Added `weatherMap:didAddSource:` and `weatherMap:didRemoveSource:` delegate methods to `AWFWeatherMapDelegate`.
- Added `weatherMap:didFailToPerformAnimationRequestForData:` and `weatherMap:didFailLoadingAnimationData:` delegate methods on `AWFWeatherMapDelegate` to receive errors while requesting animation data for a specific layer.
- Updated the `weatherMap:didUpdateAnimationDataLoadingProgress:total:` method on `AWFWeatherMapDelegate` to `weatherMap:didUpdateAnimationDataLoadingProgress:total:error:` to receive load-related errors.
- Fixed issue with AMP image request time strings improperly formatted for some device locale settings.
- Fixed `NSLayoutConstraintNumberExceedsLimit` error during point legend layout.
- Fixed issue with timeline position control not properly repositioned on device rotation.

## 3.2.0 - Sep 24, 2019

- Added support for Mac Catalyst. Use the libraries under "iOSMac" for Mac Catalyst targets.

#### AerisMapKit
- Added support for custom date/time formatter with `AWFTimelineView`. See `setTextLabelFormatter:`.
- Fixed non-retina tile requests so that @1x tile imagery is scaled up to 512x512 when loaded as required by MKMapView.
- Fixed issue where content would occasionally be clipped within the tropical cyclone callout content view.
- Fixed issue where the active annotation callout would sometimes reappear on a different annotation after when new point data is loaded after changing the map bounds.
- Improved the `AWFMapLayerTropicalCyclones` and `AWFMapLayerTropicalBreakpoints` layers so data for all systems is rendered on the map regardless of the visible map bounds.
- Updated `AWFWeatherMap` to swap out animated layer content with static layer content when the animation is stopped.

## 3.1.7 - Jul 19, 2019

#### AerisMapKit
* Fixed issue where stormcell forecast cone polygons would render as black after animating.
* Fixed issue where adding raster versions of point/shape AWFMapLayer types to AWFWeatherMap would result in a crash at times.
* Improved handling of adding nil layer codes to AWFWeatherMap to prevent crashes.

## 3.1.6 - Jul 11, 2019

#### AerisMapKit
* Added `tileOverlayAlpha` property to AWFWeatherMapConfig to control the default alpha for tile layers on a map.
* Fixed memory-related issues that would result in a crash in some instances.
* Improved handling of passing string codes when adding layers to AWFWeatherMap to convert codes to the appropriate AWFMapLayer enum value.

## 3.1.5 - Jun 6, 2019

#### AerisWeatherKit
* Added `uvIndex` property to `AWFForecastPeriod`

#### AerisMapKit
* Added `showLegendView:animated:` and `showOptions` public methods on AWFWeatherMapViewController to show legend and option views manually.
* Added support for always showing past/future layers regardless of timeline's current position. See `shouldAlwaysShowPastLayers` and `shouldAlwaysShowFutureLayers` on AWFWeatherMapConfig.
* Added `resumeAnimation` convenience method on AWFWeatherMap for resuming a paused animation from the current time position.
* Fixed map animation always restarting from the beginning when calling `start`.
* Updated AWFMapLayer types for AMP-related raster layers to include recently released layers. See https://www.aerisweather.com/support/docs/aeris-maps/reference/versions/#2019.06
* Post NSNotification when map tile requests fail (MapKit only). Observe using the `AWFTileDidFailLoading` name.
* Fixed nullability on the `config` property for AWFWeatherMapViewController
* Various minor bug fixes and improvements.

## 3.1.4 - Mar 11, 2019
* Added support for tvOS-specific binaries

#### AerisWeatherKit
* Added `midnightSun` and `polarNight` properties to `SunMoonPeriod`
* Removed `AWFOutlookPhrases` and `AWFForecastPhrases` endpoint service classes, replaced with single `AWFPhrases` class
* Improved nullability for `AWFStormReportSummary` and `AWFStormThreat` classes

#### AerisMapKit
* Added `FA.W` advisory VTEC code to `AWFMapLayerWarnings` data set
* Added additional convenience methods for adding raster map layers via `AWFAmpTileSourceProvider`
* Fixed map layer order not being set properly when adding weather layers during instantiation of `AWFWeatherMap`

## 3.1.3 - Jan 31, 2019
* Removed UIApplication references and all app-related API code to enable SDK usage within app extensions.

#### CoreUI
* Fixed a minor issue with parsing array-format key paths resulting in a crash.

## 3.1.2 - Nov 15, 2018

#### AerisMapKit
* Fixed crash related to unbalanced KVO observers on AWFTileSource after animating map layers

## 3.1.1 - Oct 17, 2018

#### AerisMapKit
* Fixed an issue where adjusting the alpha on a tile source instance once added to a map did not update the layer's opacity on the map without removing and re-adding the layer
* Fixed memory leaks preventing AWFWeatherMap instances from being deallocated
* Improved Swift interoperability with nullability and arrays

#### AerisMapboxMapKit
* Added support for specifying a Mapbox style identifier to use with weather maps, see `AWFWeatherMapConfig.mapboxStyleUrl`

## 3.1.0 - Sep 11, 2018

#### AerisWeatherKit
* Added support for new tropical cyclones API endpoints (via `AWFTropicalCyclones`)

#### AerisMapKit
* Added `AWFMapLayerTropicalCyclones` point data layer for active and archive tropical cyclones; single layer will render: current position, past and forecast tracks, forecast error cone (active systems only)
* Added `AWFMapLayerTropicalBreakpoints` layer for displaying coastal advisory breakpoints associated with tropical cyclones
* Added support for animating polygon/polyline content (required for animating tropical cyclone tracks)
* Added support for new AMP tropical cyclone raster layers
* Added support for providing custom request options for point and shape map content sources via `AWFWeatherMapDataSource`
* Added support for customizing callout title/subtitle text for point map content source layers using `calloutFormatter` on `AWFAnnotationStyle` instances
* Added support for providing custom content views to be displayed in annotation callouts via `AWFWeatherMapDataSource`
* Renamed `AWFPointAnimation` to `AWFDataAnimation` to support both point and shape layer content during animations
* Improved style configuration for combined map sources using `AWFCombinedRepresentableStyle`
* Fixed minor issues with point data animations and determining which data points are included per animation interval
* Several minor bug fixes and improvements throughout framework

## 3.0.7 - Aug 30, 2018

#### Core
* Removed automatic NSCoding conformance for NSObject via class extension that was causing required initializer errors for NSObject subclasses in Swift

## 3.0.6 - Aug 22, 2018

#### AerisMapKit
* Added support for new tropical and geocolor satellite layer support via corresponding `AWFMapLayer` enum values
* Fixed an issue where an unretained cached object reference would occasionally result in a crash on dealloc of AWFWeatherMap instances
* Removed `AWFMapLayerSatelliteGlobal` layer, now included with `AWFMapLayerSatellite`

#### AerisMapboxMapKit
* Fixed an issue with AMP tile layers not rendering via MGLRasterTileSource
* Added missing delegate methods for MGLMapViewDelegate proxy for the Mapbox mapping strategy

## 3.0.5 - Aug 6, 2018

#### AerisMapKit
* Added support for the new AMP lightning strike icon and time period layers (`AWFMapLayerLightningStrikes5Minute`, `AWFMapLayerLightningStrikes15Minute`, `AWFMapLayerLightningStrikes5MinuteIcons`, `AWFMapLayerLightningStrikes15MinuteIcons`)
* Fixed an issue with future layers were not added to map while AMP metadata was still loading
* Fixed several issues related to image animation loading and when the animation layer is hidden/displayed during the loading process

## 3.0.4 - Jul 24, 2018

#### AerisWeatherKit
* Fixed occasional crash when mapping place JSON to AWFPlace when `loc` is `[NSNull null]`
* Updated AWFWeatherApiResponse to only log warnings to the console for API response warnings (e.g. error codes prefixed with "warn_") instead of returning an error

#### AerisMapKit
* Added support for using the alternative AMP raster layers that correspond to point/shape layers when supported by AMP (e.g. `AWFMapLayerAmpLightningStrikes` instead of `AWFMapLayerLightningStrikes`)
* Fixed issue where AWFWeatherMap was not removing itself from NSNotificationCenter observers on dealloc which would result in a crash at times
* Fixed issue where failed point source data requests for animation data wasn't properly calling the `animation:didFailLoadingWithError:` delegate method 
* Fixed crashes as a result of adding nil objects to the animation data cache for tile sources
* Fixed lightning annotation view styling for Apple Maps (MapKit) strategy

## 3.0.3 - Jul 16, 2018
* Removed API access keys from console output unless debugging is enabled

#### AerisWeatherKit
* Updated default float properties for all AWFWeatherObject models to be `NAN` to better handle when nil values are returned by the API instead of being set to `0`. Your code should now check if a value exists using `isnan(prop)`.
* Updated `AWFObservationSummary`, `AWFStormReportSummary` and `AWFStormThreat` to use instances of `AWFRangeSummary` when storing min/max/average values
* Added support for searching places using an ICAO code `AWFPlaces::searchUsingICAO:options:completion`)
* Improved the build-in places search, `searchUsingNameStartingWith:options:completion:` to better handle state and country abbreviations and full names when searching

#### AerisMapKit
* Added support for controlling image quality for raster tile and animation imagery for Retina devices using `shouldUseRetinaImagery` on `AWFWeatherMapConfig`. Using a lower imagery quality will improve the speed and performance of loading raster tiles and animation frames where applicable.
* Fix occasional crash in `AWFLegendView` when attempting to add a legend for a nil key
* Fix occasional crash when adding storm cells point data on a weather map
* Fix tile overlays not re-appearing on weather map on region change after stopping an animation

## 3.0.2 - Jun 22, 2018

#### AerisWeatherKit
* Fixed an issue with AWFWeatherEndpoint request options instance not being used for requests if specific request options is nil
* Removed references to old NAM models in AWFForecastModelType (`AWFForecastModelTypeNone`, `AWFForecastModelTypeNAM4K` and `AWFForecastModelTypeNAM12K`)

#### AerisMapKit
* Added support for changing index placement of existing AWFRasterMapLayer instances on a map
* Added future pressure and future pressure isobars layer types (`AWFMapLayerFutureSurfacePressure`, `AWFMapLayerFutureSurfacePressureIsobars`)
* Added support for preventing duplicate map layer types being added to the map
* Fixed now/future marker positioning on AWFTimelineView
* Fixed animation starting playback when map region changes even when animation isn't active
* Fixed raster/tile overlays not using parent map source's alpha value when rendering overlay on map
* Fixed several issues with automatically managing inserting and removing future AMP layers
* Fixed issue with forecast model changes not resetting previously loaded animation data
* Fixed AMP layer code for future precipitation (was `fqpf`, now `fqpf-accum`)
* Fixed and improved several rendering issues with bar and point legends
* Fixed an issue with storm cell cones being consolidated into a subset of elements when updating data on map region change
* Fixed an issue with the map timeline not updating properly when changing the start/end range for a weather map config instance


## 3.0.1 - Jun 1, 2018
* Fixed issues with bitcode support for all compiled frameworks

#### AerisMapKit
* Added support for abbreviating longer words in legend labels as needed based on available width
* Fixed issues related to updating weather map configuration properties after weather map instantiated not updating internal properties
* Fixed several future precipitation AWFMapLayer types to correlate with available Aeris Maps layers
* Fixed issues with weather map delegates and data sources not always being set to nil on weather map deallocation, causing crashes in some instances

#### AerisMapboxMapKit
* Updated to support Mapbox SDK 4.0 which is now the minimum required SDK version for use with Mapbox

## 3.0.0 - May 22, 2018
* Minor bug fixes and framework optimizations

#### AerisWeatherKit
* Added support for /airquality and /airquality/forecasts endpoints

#### AerisMapKit
* Added support for air quality point data layer

## 3.0.0-rc.1 - April 6, 2018
* Cleaned up compiler warnings
* Enabled bitcode for all compiled frameworks
* Added symbols files for symbolicating crash reports

#### AerisWeatherKit
* Added resource bundle for localization support within the framework

#### AerisMapKit
* Added resource bundle for localization support within the framework
* Fixed nullability issues for public methods
* Fixed layout bug for legend views when set to use bottom positioning

## 3.0.0-beta.1 - January 29, 2018
Initial public beta of version 3.0 of the AerisWeather SDK for iOS. Refer to the [migration guide](https://www.aerisweather.com/support/docs/toolkits/aeris-ios-sdk-3/getting-started/3.0-migration-guide/) for a list of the major changes from 2.0.